package com.srs.workstudy.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.common.core.domain.AjaxResult;
import com.srs.workstudy.domain.QgzxPostChange;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 勤工助学岗位修改人数Service接口
 *
 * @author srs
 * @date 2024-09-11
 */
public interface IQgzxPostChangeService extends IService<QgzxPostChange> {


    public AjaxResult doAudit(QgzxPostChange param);


    public AjaxResult doChange(QgzxPostChange param);

    public AjaxResult cancelChange(Long id);


    public List<QgzxPostChange> listView(QgzxPostChange param);


    /**
     * 查询勤工助学岗位修改人数
     *
     * @param id 勤工助学岗位修改人数主键
     * @return 勤工助学岗位修改人数
     */
    public QgzxPostChange selectQgzxPostChangeById(Long id);

    /**
     * 查询勤工助学岗位修改人数列表
     *
     * @param qgzxPostChange 勤工助学岗位修改人数
     * @return 勤工助学岗位修改人数集合
     */
    List<QgzxPostChange> selectQgzxPostChangeList(QgzxPostChange qgzxPostChange);

    /**
     * 新增勤工助学岗位修改人数
     *
     * @param qgzxPostChange 勤工助学岗位修改人数
     * @return 结果
     */
    int insertQgzxPostChange(QgzxPostChange qgzxPostChange);

    /**
     * 修改勤工助学岗位修改人数
     *
     * @param qgzxPostChange 勤工助学岗位修改人数
     * @return 结果
     */
    int updateQgzxPostChange(QgzxPostChange qgzxPostChange);

    /**
     * 批量删除勤工助学岗位修改人数
     *
     * @param ids 需要删除的勤工助学岗位修改人数主键集合
     * @return 结果
     */
    int deleteQgzxPostChangeByIds(Long[] ids);

    /**
     * 删除勤工助学岗位修改人数信息
     *
     * @param id 勤工助学岗位修改人数主键
     * @return 结果
     */
    int deleteQgzxPostChangeById(Long id);
}
